package net.northking.cctp.dw.dto;

import io.swagger.annotations.ApiModel;

/**
 * @author: puchao.ma
 * @date: 2021/12/15 15:07
 */
@ApiModel("用例执行饼图")
public class ManualExecJobPieDto {

    private Integer nonExec;

    private Integer invalid;

    private Integer fail;

    private Integer blocked;

    private Integer hangUp;

    private Integer unfinished;

    private Integer pass;

    private Double nonExecRatio;

    private Double invalidRatio;

    private Double failRatio;

    private Double blockedRatio;

    private Double hangUpRatio;

    private Double unfinishedRatio;

    private Double passRatio;

    private String planCompleteRatio;

    public Integer getNonExec() {
        return nonExec;
    }

    public void setNonExec(Integer nonExec) {
        this.nonExec = nonExec;
    }

    public Integer getInvalid() {
        return invalid;
    }

    public void setInvalid(Integer invalid) {
        this.invalid = invalid;
    }

    public Integer getFail() {
        return fail;
    }

    public void setFail(Integer fail) {
        this.fail = fail;
    }

    public Integer getBlocked() {
        return blocked;
    }

    public void setBlocked(Integer blocked) {
        this.blocked = blocked;
    }

    public Integer getHangUp() {
        return hangUp;
    }

    public void setHangUp(Integer hangUp) {
        this.hangUp = hangUp;
    }

    public Integer getUnfinished() {
        return unfinished;
    }

    public void setUnfinished(Integer unfinished) {
        this.unfinished = unfinished;
    }

    public Integer getPass() {
        return pass;
    }

    public void setPass(Integer pass) {
        this.pass = pass;
    }

    public Double getNonExecRatio() {
        return nonExecRatio;
    }

    public void setNonExecRatio(Double nonExecRatio) {
        this.nonExecRatio = nonExecRatio;
    }

    public Double getInvalidRatio() {
        return invalidRatio;
    }

    public void setInvalidRatio(Double invalidRatio) {
        this.invalidRatio = invalidRatio;
    }

    public Double getFailRatio() {
        return failRatio;
    }

    public void setFailRatio(Double failRatio) {
        this.failRatio = failRatio;
    }

    public Double getBlockedRatio() {
        return blockedRatio;
    }

    public void setBlockedRatio(Double blockedRatio) {
        this.blockedRatio = blockedRatio;
    }

    public Double getHangUpRatio() {
        return hangUpRatio;
    }

    public void setHangUpRatio(Double hangUpRatio) {
        this.hangUpRatio = hangUpRatio;
    }

    public Double getUnfinishedRatio() {
        return unfinishedRatio;
    }

    public void setUnfinishedRatio(Double unfinishedRatio) {
        this.unfinishedRatio = unfinishedRatio;
    }

    public Double getPassRatio() {
        return passRatio;
    }

    public void setPassRatio(Double passRatio) {
        this.passRatio = passRatio;
    }

    public String getPlanCompleteRatio() {
        return planCompleteRatio;
    }

    public void setPlanCompleteRatio(String planCompleteRatio) {
        this.planCompleteRatio = planCompleteRatio;
    }
}
